#ifndef  _INTERNAL_VOLUME_IO_H
#define  _INTERNAL_VOLUME_IO_H

/* ----------------------------------------------------------------------------
@COPYRIGHT  :
              Copyright 1993,1994,1995 David MacDonald,
              McConnell Brain Imaging Centre,
              Montreal Neurological Institute, McGill University.
              Permission to use, copy, modify, and distribute this
              software and its documentation for any purpose and without
              fee is hereby granted, provided that the above copyright
              notice appear in all copies.  The author and McGill University
              make no representations about the suitability of this
              software for any purpose.  It is provided "as is" without
              express or implied warranty.
---------------------------------------------------------------------------- */

#include "config.h"

/*
 * No need for separate definition of VIOAPI here for dllexport, 
 * as VOLIO_DLL_EXPORT is used as export/import switch
 */
 
/* 
#ifndef  VIOAPI
#if defined(_MSC_VER)
// VJ: We also need dllimport for applications including "volume_io.h"
#  if defined(DLL_VOLIO)				// define when VOLUME_IO library is a DLL 
#    if defined(VOLIO_DLL_EXPORT)		// define when building the library 
#      define VIOAPI __declspec(dllexport)
#    else
#      define VIOAPI __declspec(dllimport)
#    endif
#  else			// VOLUME_IO library is not DLL
#    define VIOAPI
#  endif								// defined(DLL_VOLIO)

#else // Not MSVC
#define       VIOAPI   extern
#endif // _MSC_VER not defined 
#endif // VIOAPI not defined 
*/

#include  <volume_io.h>

#endif
