/*
 *	Long pointer and offset types under VC 6
 *
 * VJ 2008.07.13.
 */

#ifndef __VC6_OFFSETS__

#define __VC6_OFFSETS__

#ifdef FILE_OFFSET_64BITS

#	define lseek _lseeki64
typedef __int64 off_t;
// #	define off_t __int64
#	define stat _stati64
#	define fstat _fstati64

#	define write	_write
#	define read		_read
#	define open		_open
#	define close	_close
#	define unlink	_unlink
#	define O_RDWR	_O_RDWR
#	define O_CREAT	_O_CREAT
#	define O_EXCL	_O_EXCL
#	define O_TRUNC	_O_TRUNC
#	define O_RDONLY	_O_RDONLY

#define sys_errlist _sys_errlist
#define sys_nerr    _sys_nerr

#define _OFF_T_DEFINED
#define _STAT_DEFINED

#else
#	include <sys/types.h>
// VJ: For MINC 1.5
#	include <stddef.h>

/*
	typedef long off_t;
#	define stat _stat
#	define fstat _fstat
*/

/* Non-ANSI names for compatibility */
/*
_CRTIMP int __cdecl access(const char *, int);
_CRTIMP int __cdecl chmod(const char *, int);
_CRTIMP int __cdecl chsize(int, long);
_CRTIMP int __cdecl close(int);
_CRTIMP int __cdecl creat(const char *, int);
_CRTIMP int __cdecl dup(int);
_CRTIMP int __cdecl dup2(int, int);
_CRTIMP int __cdecl eof(int);
_CRTIMP long __cdecl filelength(int);
_CRTIMP int __cdecl isatty(int);
_CRTIMP int __cdecl locking(int, int, long);
_CRTIMP long __cdecl lseek(int, long, int);
_CRTIMP char * __cdecl mktemp(char *);
_CRTIMP int __cdecl open(const char *, int, ...);
_CRTIMP int __cdecl read(int, void *, unsigned int);
_CRTIMP int __cdecl setmode(int, int);
_CRTIMP int __cdecl sopen(const char *, int, int, ...);
_CRTIMP long __cdecl tell(int);
_CRTIMP int __cdecl umask(int);
_CRTIMP int __cdecl unlink(const char *);
_CRTIMP int __cdecl write(int, const void *, unsigned int);
*/

#endif

#endif /* __VC6_OFFSETS__ */
